Tasuku
ReferenceAPI referenceSecrets

List encrypted secret metadata

Requires ADMIN or SUPER_USER. Plaintext is never returned.

GET/organizations/{organization_id}/secrets

Requires ADMIN or SUPER_USER. Plaintext is never returned.

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/secrets"
{  "data": [    {      "id": "string",      "organization_id": "string",      "repository_id": "string",      "scope": "ORGANIZATION",      "name": "string",      "fingerprint": "string",      "active_version": 1,      "configured": true,      "last_used_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}